commit: 046613aa2cf147cc32d4b8a4ceb5cd76aa61d9ee
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 22 09:34:21 2023 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri Dec 22 09:35:20 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=046613aa
app-editors/emacs: Backport test fixes to slot 28
Also disable two more tests.
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-editors/emacs/emacs-28.2-r10.ebuild | 21 ++++++++++++++++-----
1 file changed, 16 insertions(+), 5 deletions(-)
diff --git a/app-editors/emacs/emacs-28.2-r10.ebuild
b/app-editors/emacs/emacs-28.2-r10.ebuild
index ac8efd18ae69..4792beb5373c 100644
--- a/app-editors/emacs/emacs-28.2-r10.ebuild
+++ b/app-editors/emacs/emacs-28.2-r10.ebuild
@@ -174,6 +174,12 @@ src_prepare() {
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die
+ # Tests that use bubblewrap don't work in the sandbox:
+ # "bwrap: setting up uid map: Permission denied"
+ # So, disrupt the search for the bwrap executable.
+ sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
+ test/lisp/emacs-lisp/bytecomp-tests.el || die
+
AT_M4DIR=m4 eautoreconf
}
@@ -368,12 +374,17 @@ src_test() {
%lisp/vc/vc-tests.el
%lisp/vc/vc-bzr-tests.el
- # Reason: fails if bubblewrap (bwrap) is installed
- # "bwrap: setting up uid map: Permission denied"
- #
- # bytecomp-tests--dest-mountpoint
- %lisp/emacs-lisp/bytecomp-tests.el
+ # Reason: some copyright years differ
+ %lisp/emacs-lisp/copyright-tests.el
+
+ # Reason: quoting issues (fixed in Emacs 29)
+ %lib-src/emacsclient-tests.el
)
+ use threads || exclude_tests+=(
+ %src/emacs-module-tests.el
+ %src/keyboard-tests.el
+ %src/thread-tests.el
+ )
# See test/README for possible options
emake \